/* ダイアログ共通 */
.dialog-body {
    background-color: #0D47A0;
    border: 0;
    border-radius: 28px;
    height: 800px;
    overflow: hidden;
    padding: 0;
    user-select: none;
    width: 650px;
}
.dialog-header {
    background-color: #0D47A0;
    border: 2px solid white;
    border-radius: 28px;
    height: 60px;
    position: relative;
    cursor: move;
}
.dialog-header>p {
    color: white;
    font-size: 26px;
    line-height: 58px;
    margin: 0;
    position: absolute;
    text-align: center;
    width: 100%;
}
.dialog-header>button {
    background-color: #00000000;
    border: 0;
    padding: 0;
    position: absolute;
    right: 4px;
    top: 4px;
}
.dialog-content {
    height: calc(100% - 80px);
    margin: 20px 5px 0 5px;
}

/* センサ一覧 タブ */
.sensor-list-tab {
    height: 50px;
}
.sensor-list-tab>button {
    background-color: #0D47A0;
    border: 1px solid white;
    border-radius: 8px;
    color: white;
    font-size: 20px;
    height: 100%;
    width: 50%;
}
.sensor-list-tab>.sensor-list-tab-act {
    background-color: #001e43;
    border: 1px solid #001e43;
}

/* センサ一覧 一覧共通 */
.sensor-list-content {
    background-color: #001e43;
    border-radius: 8px;
    height: calc(100% - 60px);
    margin: -10px 0 0 0;
    padding: 10px 0 0 0;
}
.sensor-list-content>div {
    display: none;
    height: 100%;
}
.sensor-list-content>.sensor-list-content-act {
    display: block;
}

/* センサ一覧 都道府県別一覧 */
#sensor-list-cities {
    color: white;
    font-size: 20px;
    height: calc(100% - 14px);
    margin: 10px 0 0 0;
    overflow-y: scroll;
}
#sensor-list-cities ul {
    margin: 0;
    padding: 0;
}
#sensor-list-cities>ul>li {
    border-top: 1px solid white;
    cursor: pointer;
    list-style: none;
    margin: 0 1px;
}
#sensor-list-cities>ul>li:first-child {
    border-top: 0;
}
#sensor-list-cities>ul>li:last-child {
    border-bottom: 1px solid white;
}
#sensor-list-cities>ul>li::before {
    content: "▼";
    margin: 0 10px;
}
#sensor-list-cities>ul>li>ul>li {
    border-top: 1px solid white;
    list-style: none;
}
#sensor-list-cities>ul>li>ul>li::before {
    content: "▼";
    margin: 0 10px 0 30px;
}
#sensor-list-cities>ul>li>ul>li>ul>li {
    font-size: 18px;
    list-style: none;
    margin: 1px 0;
    overflow-x: hidden;
    position: relative;
    white-space: nowrap;
}
#sensor-list-cities>ul>li>ul>li>ul>li:first-child {
    border-top: 1px solid white;
}
#sensor-list-cities>ul>li>ul>li>ul>li::before {
    content: "";
    margin: 0 0 0 50px;
}
#sensor-list-cities>ul>li>ul>li>ul>li>img {
    width: 20px;
    position: absolute;
    right: 2px;
    top: 1px;
}

/* センサ一覧 状態別一覧 */
#sensor-list-status {
    color: white;
    font-size: 20px;
}
#sensor-list-status>div:first-child {
    display: grid;
    grid-template-columns: 1fr 1fr;
    margin: 10px 0 0 0;
}
#sensor-list-status>div:first-child>div>input[type="radio"] {
    display: none;
}
#sensor-list-status>div:first-child>div>input[type="radio"] ~ label {
    cursor: pointer;
}
#sensor-list-status>div:first-child>div>input[type="radio"] ~ label::before {
    border-radius: 100%;
    content: "";
    display: inline-block;
    height: 15px;
    margin: 0 10px 0 80px;
    outline: 2px solid white;
    outline-offset: 2px;
    width: 15px;
}
#sensor-list-status0 ~ label::before,
#sensor-list-status4 ~ label::before {
    margin: 0 10px 0 10px !important;
}
#sensor-list-status>div:first-child>div>input[type="radio"]:checked ~ label::before {
    background-color: white;
}
#sensor-list-status>div:last-child {
    height: calc(100% - 84px);
    margin: 10px 0 0 0;
    overflow-y: scroll;
}
#sensor-list-status>div:last-child>ul {
    margin: 0;
    padding: 0;
}
#sensor-list-status>div:last-child>ul>li {
    cursor: pointer;
    font-size: 18px;
    list-style: none;
    margin: 1px;
    overflow-x: hidden;
    position: relative;
    white-space: nowrap;
}
#sensor-list-status>div:last-child>ul>li::before {
    content: "";
    margin: 0 0 0 50px;
}
#sensor-list-status>div:last-child>ul>li>img {
    width: 20px;
    position: absolute;
    right: 2px;
    top: 1px;
}

/* センサ一覧 センサ状態 色 */
.sensor-list-status-1 {
    background-color: rgba(158, 189, 247, 1);
    color: black;
}
.sensor-list-status-2 {
    background-color: rgba(255,0,0,1);
    color: black;
}
.sensor-list-status-3 {
    background-color: rgba(211, 211, 211, 1);
    color: black;
}
.sensor-list-status-4 {
    background-color: rgba(0, 0, 0, 1);
    color: white;
}
.sensor-list-status-1:hover {
    color: yellow;
}
.sensor-list-status-2:hover {
    color: yellow;
}
.sensor-list-status-3:hover {
    color: yellow;
}
.sensor-list-status-4:hover {
    color: yellow;
}